<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] ?: array()) + array("_2e858fb19" . "73337f53ff" . "85c104fcb3" . "8f4" => base64_decode("cHVibGlzaG" . "Vk"), "_4c760fb02a4" . "9c55509ba087" . "b84fbda45" => base64_decode("ZHJhZn" . "Q="), "titl" . "e" => base64_decode("dGl0bG" . "U="), "_6a90de6af30bf720b668cfb570e" . "606de" => base64_decode("cHJldl9z" . "dGF0ZQ=="), "_939c6a45" . "ff74323db" . "ef487ed15" . "753a7c" => base64_decode("c3" . "Rh" . "dG" . "U="), "_b2f5a100451164396178c1" . "6d2a5c6899" => base64_decode("cHJldl90aXR" . "sZQ=="));
use Claromentis\Core\Event\GenericEvent;


class UpdateDocumentEvent extends GenericEvent
{
    const STATE_DRAFT = 1;
    const STATE_PUBLISHED = 2;
    
    
    
    
    private $error_message = '';
    public function GetPrevTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_b2f5a100451164396178c16d2a5c68" . "99"]);
    }
    public function GetTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["tit" . "le"]);
    }
    public function GetPrevState()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_6a90de6af30bf72" . "0b668cfb570e606d" . "e"]);
    }
    public function GetState()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_939c6a45ff74323dbef487e" . "d15753a7c"]);
    }
    public function GetStateName()
    {
        if ($this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_939c6a45ff74323" . "dbef487ed15753a7" . "c"]) == self::STATE_DRAFT) {
            return $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_4c760fb02a49" . "c55509ba087b8" . "4fbda45"];
        }
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_2e858fb19733" . "37f53ff85c104" . "fcb38f4"];
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}